Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.metaclass
Class AbstractDynamicConstructor

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicConstructor

All Implemented Interfaces:
  DynamicConstructor

    public abstract class AbstractDynamicConstructor

extends Object
implements DynamicConstructor

Abstract class that provides default implementation for isArgumentsMatch

Since:
  0.2 Date Created: 9th June 2006
Author:
  Graeme Rocher

Constructor Summary
`AbstractDynamicConstructor(Class[] argumentTypes)` Takes an array of types required to match this constructor

Method Summary
`abstract Object` | `invoke(Class clazz, Object[] args)` Invokes the dynamic constructor
`boolean` | `isArgumentsMatch(Object[] args)` Test whether the specified arguments match this constructor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDynamicConstructor

    public AbstractDynamicConstructor(Class[] argumentTypes)

  Takes an array of types required to match this constructor

  Parameters:
    `argumentTypes` - The argument types

Method Detail

### isArgumentsMatch

    public boolean isArgumentsMatch(Object[] args)

  Description copied from interface: `DynamicConstructor`
  Test whether the specified arguments match this constructor

  Specified by:
    `isArgumentsMatch` in interface `DynamicConstructor`
  Parameters:
    `args` - The arguments to check
  Returns:
    True if the arguments types match those specified in the constructor

### invoke

    public abstract Object invoke(Class clazz,
                                  Object[] args)

  Description copied from interface: `DynamicConstructor`
  Invokes the dynamic constructor

  Specified by:
    `invoke` in interface `DynamicConstructor`
  Parameters:
    `clazz` - The actual class
    `args` - The arguments
  Returns:
    The returned instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project